Subject: bug#21036: 25.0.50; Wrong index entry for rebinding keys

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 22:28:28 +0200

Drew Adams <[email-masked]> writes:

> C-h r i rebind TAB shows these candidates:
>
> rebinding keys, permanently
> rebinding major mode keys
> rebinding mouse buttons
> rebinding non-ASCII keys
>
> And if I use Icicles apropos completion, I can see these candidates:
>
> key rebinding, permanent
> key rebinding, this session  ; <===== MISSING above
> rebinding keys, permanently 
> rebinding major mode keys
> rebinding mouse buttons
> rebinding non-ASCII keys 
>
> First, there should be an entry that starts with "rebinding" and that
> corresponds to entry `key rebinding, this session' and targets node
> `Rebinding'.

This is from the node:

@node Rebinding
@subsection Changing Key Bindings Interactively
@cindex key rebinding, this session
@cindex redefining keys, this session
@cindex binding keys

I wonder whether that 

@cindex redefining keys, this session

is a mistake, and that it should be

@cindex rebinding keys, this session

Opinions?

> Second, the target for `rebinding keys, permanently' and `key rebinding,
> permanent' is incorrect, IMO.  Those entries should target node `Init
> Rebinding', not node `Init File'.  There is nothing in node `Init File'
> about keys.

This was fixed by Eli in 2018.  They now point to "Init Rebinding".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no